classification
Title: "internal" zipimport.zipimporter feature untested
Type: enhancement Stage:
Components: Library (Lib) Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: brett.cannon, exarkun, fijal, georg.brandl, gvanrossum, therve
Priority: normal Keywords: patch

Created on 2007-10-25 13:08 by exarkun, last changed 2008-05-11 15:08 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
1326.diff therve, 2007-12-05 10:58
Messages (8)
msg56742 - (view) Author: Jean-Paul Calderone (exarkun) * (Python committer) Date: 2007-10-25 13:08
It's possible to construct a zipimporter with a "path" which points
first to a zip file and then continues to refer to a file within that
zip file.  For example,

    /foo/bar.zip/baz

where /foo/bar.zip is not a directory, but a zip file, and baz is a file
or directory in the contents of the zip file.

There is no test coverage for this functionality, though.
msg56800 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-10-26 17:42
Please submit a patch for docs and a  unittest...
msg58211 - (view) Author: Thomas Herve (therve) * Date: 2007-12-05 10:58
I attach a patch adding a test and some documentation. This tries to
solve issue1325 too.

exarkun, does that fulfill your original request?
msg58219 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-12-05 17:10
Which Python version is this for?
msg58228 - (view) Author: Thomas Herve (therve) * Date: 2007-12-05 21:00
The patch is against trunk.
msg59960 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-01-15 09:10
And if you want more ideas for tests, I implemented my own tests for my
pure Python implementation of zipimport. They can be found in the
sandbox at import_in_py/zipimport_/tests.py .
msg61627 - (view) Author: Maciek Fijalkowski (fijal) Date: 2008-01-24 12:24
There is another untested and undocumented attribute called prefix on
zipimporter objects.
msg66638 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-05-11 15:08
Committed the test and added new docs in r63067. Thanks!
History
Date User Action Args
2008-05-11 15:08:35georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg66638
2008-01-24 12:24:34fijalsetmessages: + msg61627
2008-01-15 09:10:53brett.cannonsetnosy: + brett.cannon
messages: + msg59960
2008-01-15 07:39:39georg.brandlsetassignee: georg.brandl
nosy: + georg.brandl
2007-12-05 21:00:23thervesetmessages: + msg58228
2007-12-05 17:10:12gvanrossumsetkeywords: + patch
messages: + msg58219
2007-12-05 10:58:03thervesetfiles: + 1326.diff
nosy: + therve
messages: + msg58211
2007-10-26 17:42:58gvanrossumsetnosy: + gvanrossum
messages: + msg56800
2007-10-25 13:23:07exarkunsetnosy: + fijal
2007-10-25 13:08:00exarkuncreate